Jump to content

CoolDrake

Members
  • Content Count

    1
  • Joined

  • Last visited

Everything posted by CoolDrake

  1. Ok i tried to download a mod i did then i tried to play it {ps i'm on mac} and then it said i unsupported version and i can't switch my version to 1.12 so i need help fixing it to 1.12 instead of 1.13.2
×
×
  • Create New...